# Copyright (c) 2005-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			vamp-qm-plugins
Summary:		A set of binary plugins for feature extraction from audio data
Group:			Productivity/Multimedia/Sound/Utilities
Url:			http://isophonics.net/QMVampPlugins
Version:		1.6.1
Release:		1.2
License:		GPL
Source0:		http://isophonics.net/files/qm-vamp-plugins-1.6.1-i686-linux.tar.gz
Source1:		http://isophonics.net/files/qm-vamp-plugins-1.6.1-amd64-linux.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-build
Requires:		sonic-visualiser
ExcludeArch:	x86 x86_64

%description
A set of binary plugins for feature extraction from audio data,
using the Vamp plugin format suitable for use in Sonic
Visualiser.

This plugin set includes tempo tracker, tonal change detection
function, chromagram, and constant-Q spectrogram extractors.

For further documentation see:
http://www.elec.qmul.ac.uk/digitalmusic/downloads/#qm-vamp-plugins



%prep
%setup -q -T -c -n %{name}
%ifarch x86_64
	%__tar xf %{SOURCE1}
%else
	%__tar xf %{SOURCE0}
%endif

%build

%install
%ifarch x86_64
pushd qm-vamp-plugins-%{version}-amd64-linux
%else
pushd qm-vamp-plugins-%{version}-i686-linux
%endif
	%__install -dm 755 %{buildroot}%{_libdir}/vamp
	%__install -m 644 qm-vamp-plugins.* \
		%{buildroot}%{_libdir}/vamp
popd

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,0755)
%ifarch x86_64
%doc qm-vamp-plugins-%{version}-amd64-linux/README*
%else
%doc qm-vamp-plugins-%{version}-i686-linux/README*
%endif
%dir %{_libdir}/vamp
%{_libdir}/vamp/qm-vamp-plugins.*

%changelog
* Sun Nov  1 2009 toni@links2linux.de
- update to 1.6.1
- This is a bug-fix release, fixing a failure to correctly smooth the
  onset detection function which caused the onset and beat tracking
  plugins occasionally to miss onsets or find spurious ones.
* Sat Oct 24 2009 toni@links2linux.de
- update to 1.6
- This is a major feature release which adds four new plugins (adaptive
  spectrogram, polyphonic transcription, wavelet scalogram, and
  bar-and-beat tracker) and a new method for the beat tracker.
* Tue Dec  9 2008 toni@links2linux.de
- update to 1.5
* Sat Feb 16 2008 toni@links2linux.de
- update to 1.4
* Sat Jan 12 2008 toni@links2linux.de
- update to 1.3
* Mon Apr 30 2007 toni@links2linux.de
- update to 1.1
* Tue Mar 20 2007 toni@links2linux.de
- split off from sonic-visualiser
